Description
Makefile.common : probléeme avec depend_test

Description:

Dans Makefile.common, la cible

all:

dépend indirectement de la cible

depend:

qui elle méme dépend de

depend_test:

ce qui m'empéche de compiler le module Matching, pour l'instant dépourvu de
tests:

make: *** Pas de régle pour fabriquer la cible « ../../build/objects/gcc/main.d
», nécessaire pour « depend_test ». Arrét.

Est-ce une fonctionnalité ou un bug?

#1 24/10/2007 09:58 (etienne)

Change: status: "pending" -> "accepted"”

Change: assignees: "[]" -> "['morphmdeV', 'raffi', " Thomas', 'Tibs'T"
Change: topic: "" -> "Others"

Change: solution: " -> "La suppression de "depend_test" dans la définition de
depend:

résout mon probléme; mais est-ce une bonne solution?"

Change: importance: "medium" -> "low"

Change: title: " -> "Makefile.common : probléme avec depend_test"
Change: classification: "Bug" -> "Bug+Solution"

Change: description: " -> "Dans Makefile.common, la cible

all:

dépend indirectement de la cible

depend:

qui elle méme dépend de

depend_test:

ce qui m'empéche de compiler le module Matching, pour l'instant dépourvu de tests:

make: *** Pas de régle pour fabriquer la cible « ../../build/objects/gcc/main.d », nécessaire pour « depend_test ». Arrét.

Est-ce une fonctionnalité ou un bug?
#1 - 12/01/2008 10:30 AM - Serge Koudoro
- Category set to old plone Bugs

- Priority changed from Normal to Bas

#2 - 12/01/2008 10:57 AM - Serge Koudoro

Romain a écrit , Le 24/10/2007 09:58:
make: *** Pas de régle pour fabriquer la cible « ../../build/objects/gcc/main.d
», nécessaire pour « depend_test ». Arrét.
Est-ce une fonctionnalité ou un bug?

C'est un bug.

Soit un bug du makefile, soit un TESTMAIN mal mis a jour dans le
Makefile du module (dérapage de copier-coller ?).

Cela dit, je pense qu'on peut déplacer la dépendance a depend_test
dans la cible TESTEXECUTABLE. Mais il y a peut-étre des effets de bord...

A+
R.

ps: jimagine que 'make depend_clean' a été appelé avant toute autre
chose )

Le bug c'est plutot que le module Matching n'ait pas de test :o0P

Bon en fait, pour résoudre le probléme, il suffit de mettre les fichiers

de base des tests unitaires dans le dossier tests (ie main.cpp et

main_test.cpp) comme ¢a ce sera déja fait. Sinon, il faut aussi voir que

dans le makefile sont définies des cibles par défaut pour les tests
(TESTEXECUTABLE, TESTCOMPONENT etc) si tu les commente, il est probable
que le depend_test ne te donne pas d'erreur.

Thibauld
PS: je penserai a mettre ca dans la suite du rapport de bug demain.

#3 - 12/01/2008 02:51 PM - Serge Koudoro
#4 comment 23/11/2007 10:52 (etienne)

Comment:

J'ai testé chez le changement de dépendance, en mettant depend_test

dans la

cible TESTEXECUTABLE, comme proposé par Romain. Tout semble bien se
passer

(compil et tests). Si personne ne voit d'inconvénient, je commit

dans les jours

a venir.

#4 - 12/01/2008 03:46 PM - Serge Koudoro
- Status changed from Nouveau to Résolu

- % Done changed from 0 to 100

#5 - 12/01/2008 03:46 PM - Serge Koudoro

- Status changed from Résolu to Fermé
